Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 464476 - gjots2 fails gpg decrypt
gjots2 fails gpg decrypt
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gjots2 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 07:35 EDT by Steven Bakker
Modified: 2009-01-14 22:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 07:50:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for call to gpg from gjots2 (1.14 KB, patch)
2008-09-29 07:35 EDT, Steven Bakker
no flags Details | Diff

  None (edit)
Description Steven Bakker 2008-09-29 07:35:00 EDT
Created attachment 317954 [details]
Patch for call to gpg from gjots2

Description of problem:

If gjots2 is not attached to a terminal (i.e. started from the Gnome menu as opposed to a command shell), it is not possible to open a gpg encrypted file.

Version-Release number of selected component (if applicable):

2.3.4-7.fc7.noarch

How reproducible:

Always.

Steps to reproduce:

1. Create a gpg encrypted file:

       ls -l | gpg --symmetric --output=foobar.gpg

2. Start gjots2 from the Gnome menu:

       Applications->Accessories->GJots2 Jotter

3. Select to open the "foobar.gpg" file.

4. Enter the password in the pop-up dialog.

Actual results:

The main window shows:

       gpg: cannot open `/dev/tty': No such device or address

Expected results:

The (decrypted) contents in the main window.

Additional info:

The bug is in the "file.py" (installed in /usr/lib/python2.5/site-package/gjots2) where gpg is called without "--batch" or "--no-tty" options.

I've attached a patch below that would solve this problem.
Comment 1 Bob Hepple 2008-11-07 03:02:51 EST
Fixed in 2.3.8
Comment 2 Fedora Update System 2009-01-09 04:56:23 EST
gjots2-2.3.8-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gjots2-2.3.8-1.fc10
Comment 3 Fedora Update System 2009-01-14 22:06:48 EST
gjots2-2.3.8-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.